Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2884 - gdm user in /etc/passwd should have password field of "*"
Summary: gdm user in /etc/passwd should have password field of "*"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-17 19:08 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-13 20:23:10 UTC


Attachments (Terms of Use)

Description Chris Evans 1999-05-17 19:08:08 UTC
... otherwise the pseudo-user gdm shows up in the gdm face
browser list.

"gdm" should be considered a "null" user like "ftp", "news",
etc.

I only log this because gdm is probably in line for an
update anyway because of another serious bug in it

Comment 1 Derek Tattersall 1999-05-18 20:32:59 UTC
Ican't duplicate this problem.  Please reply with a complete scenario.

Comment 2 Elliot Lee 1999-08-31 23:09:59 UTC
gdm needs to ignore users with password fields of "!!" as well as "*".

Comment 3 Elliot Lee 1999-09-13 20:23:59 UTC
Patch has been sent to mkp to ignore the users with !! in passwd
field.


Note You need to log in before you can comment on or make changes to this bug.